CURLOPT_PROXYPASSWORD(3)

NAME
CURLOPT_PROXYPASSWORD - password to use with proxy authentication

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYPASSWORD, char *pwd);

DESCRIPTION
Pass a char * as parameter, which should be pointing to the zero terminated password to use for authentication with the proxy. The CURLOPT_PROXYPASSWORD(3) option should be used in conjunction with the CURLOPT_PROXYUSERNAME(3) option.

DEFAULT
blank

PROTOCOLS
Most

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.1

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PASSWORD(3), CURLOPT_PROXYUSERNAME(3), CURLOPT_HTTPAUTH(3), CURLOPT_PROXYAUTH(3)